Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMarkus Keller2015-09-24 12:03:28 +0000
committerMarkus Keller2015-09-24 12:03:28 +0000
commit89c7bd58cc0f196b206506434a742780b967e190 (patch)
tree8b077ed053f348f265bdd6ddb49ff38e75ab71d7 /bundles/org.eclipse.swt/.settings
parentf39ead459ba144292a368d6bfc3058d8e89e91ef (diff)
downloadeclipse.platform.swt-89c7bd58cc0f196b206506434a742780b967e190.tar.gz
eclipse.platform.swt-89c7bd58cc0f196b206506434a742780b967e190.tar.xz
eclipse.platform.swt-89c7bd58cc0f196b206506434a742780b967e190.zip
turned most API Tools problems into errors
Diffstat (limited to 'bundles/org.eclipse.swt/.settings')
-rw-r--r--bundles/org.eclipse.swt/.settings/org.eclipse.pde.api.tools.prefs17
1 files changed, 9 insertions, 8 deletions
diff --git a/bundles/org.eclipse.swt/.settings/org.eclipse.pde.api.tools.prefs b/bundles/org.eclipse.swt/.settings/org.eclipse.pde.api.tools.prefs
index f4f5a5067d..0fb102e94a 100644
--- a/bundles/org.eclipse.swt/.settings/org.eclipse.pde.api.tools.prefs
+++ b/bundles/org.eclipse.swt/.settings/org.eclipse.pde.api.tools.prefs
@@ -44,11 +44,11 @@ FIELD_ELEMENT_TYPE_CHANGED_TYPE=Error
FIELD_ELEMENT_TYPE_CHANGED_VALUE=Error
FIELD_ELEMENT_TYPE_REMOVED_TYPE_ARGUMENT=Error
FIELD_ELEMENT_TYPE_REMOVED_VALUE=Error
-ILLEGAL_EXTEND=Warning
-ILLEGAL_IMPLEMENT=Warning
-ILLEGAL_INSTANTIATE=Warning
-ILLEGAL_OVERRIDE=Warning
-ILLEGAL_REFERENCE=Warning
+ILLEGAL_EXTEND=Error
+ILLEGAL_IMPLEMENT=Error
+ILLEGAL_INSTANTIATE=Error
+ILLEGAL_OVERRIDE=Error
+ILLEGAL_REFERENCE=Error
INTERFACE_ELEMENT_TYPE_ADDED_FIELD=Error
INTERFACE_ELEMENT_TYPE_ADDED_METHOD=Error
INTERFACE_ELEMENT_TYPE_ADDED_RESTRICTIONS=Error
@@ -60,8 +60,9 @@ INTERFACE_ELEMENT_TYPE_REMOVED_FIELD=Error
INTERFACE_ELEMENT_TYPE_REMOVED_METHOD=Error
INTERFACE_ELEMENT_TYPE_REMOVED_TYPE_MEMBER=Error
INTERFACE_ELEMENT_TYPE_REMOVED_TYPE_PARAMETER=Error
-INVALID_JAVADOC_TAG=Ignore
-INVALID_REFERENCE_IN_SYSTEM_LIBRARIES=Ignore
+INVALID_ANNOTATION=Error
+INVALID_JAVADOC_TAG=Error
+INVALID_REFERENCE_IN_SYSTEM_LIBRARIES=Error
LEAK_EXTEND=Warning
LEAK_FIELD_DECL=Warning
LEAK_IMPLEMENT=Warning
@@ -92,6 +93,6 @@ incompatible_api_component_version_include_major_without_breaking_change=Disable
incompatible_api_component_version_include_minor_without_api_change=Disabled
invalid_since_tag_version=Error
malformed_since_tag=Error
-missing_since_tag=Warning
+missing_since_tag=Error
report_api_breakage_when_major_version_incremented=Disabled
report_resolution_errors_api_component=Warning

Back to the top